petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFCreateEmbeddedLeafSF

removes edges from all but the selected leaves, does not remap indices

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateEmbeddedLeafSF(PetscSF sf, PetscInt nleaves, const PetscInt *selected, PetscSF *newsf)

Collective

### Input Arguments

| sf | - original star forest
| nleaves | - number of leaves to select on this process
| selected | - selected leaves on this process

### Output Arguments

newsf -new star forest

### See Also

PetscSFCreateEmbeddedSF(), PetscSFSetGraph(), PetscSFGetGraph()

Level:advanced
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages